#!/bin/bash

# Load installer script dependencies
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source $DIR/core.sh

# Browsers
install_app "Google Chrome" "Google Chrome.app"
install_app "Firefox" "Firefox.app"

# COMMs
install_app "Skype" "Skype.app"
install_app "Slack" "Slack.app"

# Office
install_app "Pages" "Pages.app"
install_app "Numbers" "Numbers.app"
install_app "Keynote" "Keynote.app"
install_app "Microsoft Excel" "Microsoft Excel.app"
install_app "Microsoft PowerPoint" "Microsoft PowerPoint.app"
install_app "Microsoft Word" "Microsoft Word.app"

# Design
install_app "Adobe Acrobat X Pro" "Adobe Acrobat X Pro/Adobe Acrobat Pro.app"
install_app "Adobe Bridge CS6" "Adobe Bridge CS6/Adobe Bridge CS6.app"
install_app "Adobe Illustrator CS6" "Adobe Illustrator CS6"
install_app "Adobe InDesign CS6" "Adobe InDesign CS6/Adobe InDesign CS6.app"
install_app "Adobe Photoshop CS6" "Adobe Photoshop CS6/Adobe Photoshop CS6.app"
install_app "BrushPilot" "BrushPilot.app"
install_app "xScope" "xScope.app"
install_app "Pickr" "Pickr.app"
install_app "Sketch" "Sketch.app"
install_app "Sketch Toolbox" "Sketch Toolbox.app"
install_app "OmniGraffle" "OmniGraffle.app"

# Libraries
install_app "Evernote" "Evernote.app"
install_app "Ember" "Ember.app"
install_app "Aperture" "Aperture.app"
install_app "FontCase" "FontCase.app"

# Dev
install_app "Atom" "Atom.app"
install_app "Dash" "Dash.app"
install_app "iTerm" "iTerm.app"
install_app "Mou" "Mou.app"
install_app "Transmit" "Transmit.app"
install_app "Postgres" "Postgres.app"
install_app "Monodraw" "Monodraw.app"
install_app "Go2Shell" "Go2Shell.app"

# Video
install_app "Final Cut Pro" "Final Cut Pro.app"
install_app "Compressor" "Compressor.app"
install_app "Adobe After Effects CC" "Adobe After Effects CC 2014/Adobe After Effects CC 2014.app"
install_app "Adobe Premiere Pro CS6" "Adobe Premiere Pro CS6/Adobe Premiere Pro CS6.app"
install_app "ScreenFlow" "ScreenFlow.app"
install_app "Screenflick" "ScreenFlick.app"

# Audio
install_app "Logic Pro X" "Logic Pro X.app"
install_app "Main Stage" "Main Stage.app"
install_app "Arturia Moog Modular" "Arturia/Modular V2.app"
install_app "Audio Hijack" "Audio Hijack.app"
install_app "Sonic Pi" "Sonic Pi.app"
install_app "Bfxr" "Bfxr.app"
install_app "xAct" "xAct.app"

# Game Design/ 3D
install_app "Cinema 4D" "Cinema 4D.app"
install_app "Unity 3D" "Unity/Unity.app"
install_app "Unity Web Player" "unity-web-player" "unity-web-player"
install_app "Substance Designer" "Substance Designer.app"
install_app "Z-Brush" "zBrush.app"
install_app "Hexels" "Hexels.app"
install_app "Twine" "Twine.app"

# Utilities
install_app "1Password" "1Password.app"
install_app "Alfred 2" "Alfred 2.app"
install_app "AppCleaner" "AppCleaner.app"
install_app "Dropbox" "Dropbox.app"
install_app "Nylas N1" "Nylas N1.app"
install_app "HyperSwitch" "HyperSwitch.app"
install_app "iScrobbler" "iScrobbler.app"
install_app "iStat Menus" "iStat Menus.app"
install_app "Sunrise" "Sunrise.app"
install_app "The Unarchiver" "The Unarchiver.app"
install_app "Transmission" "Transmission.app"
install_app "VLC" "VLC.app"
install_app "DaisyDisk" "DaisyDisk.app"
install_app "Soulver" "Soulver.app"
install_app "SerialSeeker" "SerialSeeker.app"
install_app "Wifi Explorer" "Wifi Explorer.app"
install_app "Network Radar" "Network Radar.app"
install_app "OmniPlan" "OmniPlan.app"
install_app "SiteSucker" "SiteSucker.app"
install_app "OmniFocus" "OmniFocus.app"
install_app "PopcornTime" "PopcornTime.app"
install_app "RescueTime" "RescueTime.app" "rescuetime"
install_app "SleepDisplay" "SleepDisplay.app"
